Debian Bug report logs - #434377
traceback on amd64 with DejaVuSans.ttf

version graph

Package: fonttools; Maintainer for fonttools is Paul Wise <pabs@debian.org>; Source for fonttools is src:fonttools.

Reported by: Eugeniy Meshcheryakov <eugen@debian.org>

Date: Mon, 23 Jul 2007 12:48:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version fonttools/1.99+2.0b1+cvs20061021-1

Fixed in version fonttools/2.1-1

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sf.net/support/tracker.php?aid=1762552

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Paul Wise <pabs@debian.org>:
Bug#434377; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
New Bug report received and forwarded. Copy sent to Paul Wise <pabs@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonttools: ttx crashes on DejaVuSans.ttf
Date: Mon, 23 Jul 2007 14:44:47 +0200
Package: fonttools
Version: 1.99+2.0b1+cvs20061021-1
Severity: normal

ttx crashes when run on DejaVuSans.ttf from ttf-dejavu package:

% ttx DejaVuSans.ttf
Dumping "DejaVuSans.ttf" to "DejaVuSans.ttx"...
Dumping 'GlyphOrder' table...
Dumping 'head' table...
Dumping 'hhea' table...
Dumping 'maxp' table...
Dumping 'OS/2' table...
Dumping 'hmtx' table...
Dumping 'cmap' table...
Dumping 'fpgm' table...
Dumping 'prep' table...
Dumping 'cvt ' table...
Dumping 'loca' table...
Traceback (most recent call last):
  File "/usr/bin/ttx", line 11, in ?
    ttx.main(sys.argv[1:])
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttx.py", line 292, in main
    process(jobs, options)
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttx.py", line 277, in process
    action(input, output, options)
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttx.py", line 170, in ttDump
    disassembleInstructions=options.disassembleInstructions)
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttLib/__init__.py", line 262, in saveXML
    self._tableToXML(tableWriter, tag, progress)
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttLib/__init__.py", line 277, in _tableToXML
    table = self[tag]
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttLib/__init__.py", line 367, in __getitem__
    table.decompile(data, self)
  File "/usr/lib/python2.4/site-packages/FontTools/fontTools/ttLib/tables/_g_l_y_f.py", line 37, in decompile
    glyphdata = data[last:next]
TypeError: slice indices must be integers or None

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-me (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fonttools depends on:
ii  libc6                         2.6-2      GNU C Library: Shared libraries
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-central                0.5.14     register and build utility for Pyt
ii  python-numeric                24.2-8     Numerical (matrix-oriented) Mathem
ii  python-xml                    0.8.4-8    XML tools for Python
ii  python2.4                     2.4.4-5    An interactive high-level object-o

fonttools recommends no packages.

-- debconf-show failed



Message sent on to Eugeniy Meshcheryakov <eugen@debian.org>:
Bug#434377. Full text and rfc822 format available.

Message #8 received at 434377-submitter@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 434377-submitter@bugs.debian.org
Subject: Re: Bug#434377: fonttools: ttx crashes on DejaVuSans.ttf
Date: Tue, 24 Jul 2007 11:02:41 +1000
[Message part 1 (text/plain, inline)]
On Mon, 2007-07-23 at 14:44 +0200, Eugeniy Meshcheryakov wrote:

> ttx crashes when run on DejaVuSans.ttf from ttf-dejavu package:

I'm unable to reproduce this on i386 with ttf-dejavu 2.18-1, which
version of ttf-dejavu are you using?

Hmm, perhaps this is an amd64-specific bug.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#434377; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 434377-quiet@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Paul Wise <pabs@debian.org>, 434377-quiet@bugs.debian.org
Cc: 434377-submitter@bugs.debian.org
Subject: Re: Bug#434377: fonttools: ttx crashes on DejaVuSans.ttf
Date: Tue, 24 Jul 2007 11:12:18 +0200
[Message part 1 (text/plain, inline)]
24 липня 2007 о 11:02 +1000 Paul Wise написав(-ла):
> On Mon, 2007-07-23 at 14:44 +0200, Eugeniy Meshcheryakov wrote:
> 
> > ttx crashes when run on DejaVuSans.ttf from ttf-dejavu package:
> 
> I'm unable to reproduce this on i386 with ttf-dejavu 2.18-1, which
> version of ttf-dejavu are you using?
2.18-1

> Hmm, perhaps this is an amd64-specific bug.
Yes, this does not happen in 32-bit chroot.

[signature.asc (application/pgp-signature, inline)]

Message sent on to Eugeniy Meshcheryakov <eugen@debian.org>:
Bug#434377. Full text and rfc822 format available.

Tags added: upstream Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 28 Jul 2007 07:39:02 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://sf.net/support/tracker.php?aid=1762552. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 28 Jul 2007 07:39:03 GMT) Full text and rfc822 format available.

Information stored:
Bug#434377; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 434377-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 434377-quiet@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#434377: fonttools: ttx crashes on DejaVuSans.ttf
Date: Sat, 28 Jul 2007 17:37:05 +1000
[Message part 1 (text/plain, inline)]
tags 434377 + upstream
forwarded 434377 http://sf.net/support/tracker.php?aid=1762552

I've forwarded this bug upstream and I'll take a look at it when I can.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `traceback on amd64 with DejaVuSans.ttf' from `fonttools: ttx crashes on DejaVuSans.ttf'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 04 Oct 2007 05:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#434377; Package fonttools. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 434377@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: control@bugs.debian.org
Cc: 434377@bugs.debian.org
Subject: tagging 434377
Date: Wed, 14 Nov 2007 16:40:49 +0930
# Automatically generated email from bts, devscripts version 2.10.10
#just committed a fix to upstream cvs
tags 434377 + fixed-upstream





Tags added: fixed-upstream Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Wed, 14 Nov 2007 07:12:07 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 434377-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 434377-close@bugs.debian.org
Subject: Bug#434377: fixed in fonttools 2.1-1
Date: Sat, 01 Mar 2008 09:02:10 +0000
Source: fonttools
Source-Version: 2.1-1

We believe that the bug you reported is fixed in the latest version of
fonttools, which is due to be installed in the Debian FTP archive:

fonttools_2.1-1.diff.gz
  to pool/main/f/fonttools/fonttools_2.1-1.diff.gz
fonttools_2.1-1.dsc
  to pool/main/f/fonttools/fonttools_2.1-1.dsc
fonttools_2.1-1_i386.deb
  to pool/main/f/fonttools/fonttools_2.1-1_i386.deb
fonttools_2.1.orig.tar.gz
  to pool/main/f/fonttools/fonttools_2.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 434377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated fonttools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 01 Mar 2008 16:58:54 +0900
Source: fonttools
Binary: fonttools
Architecture: source i386
Version: 2.1-1
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs@debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 fonttools  - Converts OpenType and TrueType fonts to and from XML
Closes: 434377 449785 468585
Changes: 
 fonttools (2.1-1) unstable; urgency=low
 .
   * New upstream release
     - Fixes traceback on amd64 with DejaVuSans.ttf (Closes: #434377)
     - Drop 20_cjk_performance_improvement, 01_update_changelog,
       both have been applied upstream
   * Fix watch file so that it works with the release (Closes: #449785)
   * Drop unneeded dependency on python-xml (Closes: #468585)
   * Bump Standards-Version (no changes needed)
Files: 
 26eb25c9e54b65091dcce59f90e99084 736 text optional fonttools_2.1-1.dsc
 1626df56636867f6e1f87e7ef99768de 304336 text optional fonttools_2.1.orig.tar.gz
 ebe9e4754b5636e39d06072b8dd85774 6625 text optional fonttools_2.1-1.diff.gz
 b26968200b9f410fbb2f14366f20c824 299112 text optional fonttools_2.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHyRFv5Sc9mGvjxCMRAtoIAKCDdnrd+kFuXGPGwOzp2q5+7/3J7gCdHMdi
/EwohrrxbRLvDCtfFwXVwMo=
=CIjB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Apr 2008 07:47:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:05:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.